"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.processTableOfContents = void 0;
const isHeading = (block) => {
    return ["heading_1", "heading_2", "heading_3"].includes(block.type);
};
const processTableOfContents = async (blocks, actions, getCache, createNodeId, reporter) => {
    const tableOfContents = [];
    for (const block of blocks) {
        if (isHeading(block) &&
            (block.type === "heading_1" ||
                block.type === "heading_2" ||
                block.type === "heading_3")) {
            const plainText = block[block.type]?.rich_text[0]?.plain_text || "";
            const hash = `link-${plainText
                .replace(/[^a-zA-Z0-9-_]/g, "-")
                .toLowerCase()}`;
            block.hash = hash;
            tableOfContents.push({
                type: block.type,
                hash,
                title: plainText,
            });
        }
    }
    return tableOfContents;
};
exports.processTableOfContents = processTableOfContents;
